Summary: Swedish hyphenation rules
Name: hyphen-sv
Version: 1.00.1
Release: %mkrel 9
Source: http://extensions.services.openoffice.org/files/1966/4/hyph_sv_SE.oxt
Group: Text tools
URL: http://extensions.services.openoffice.org/node/1968
License: LGPLv2+ or GPLv2+
BuildArch: noarch
Requires: hyphen
Requires: locales-sv

%description
Swedish hyphenation rules.

%prep
%setup -q -c -n hyphen-sv
chmod 644 hyph_sv_SE.dic

%build
for i in README_sv_SE.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hyphen
cp -p hyph_sv_SE.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen

pushd $RPM_BUILD_ROOT/%{_datadir}/hyphen
sv_SE_aliases="sv_FI"
for lang in $sv_SE_aliases; do
        ln -s hyph_sv_SE.dic hyph_$lang.dic
done
popd

%files
%doc README_sv_SE.txt
%{_datadir}/hyphen/*


%changelog
* Tue Feb 11 2020 umeabot <umeabot> 1.00.1-9.mga8
+ Revision: 1490946
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.00.1-8.mga7
+ Revision: 1262710
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.00.1-7.mga6
+ Revision: 948014
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.00.1-6.mga5
+ Revision: 749649
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.00.1-5.mga5
+ Revision: 680390
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.00.1-4.mga4
+ Revision: 523120
- Mageia 4 Mass Rebuild

* Fri Mar 29 2013 tv <tv> 1.00.1-3.mga3
+ Revision: 406371
- requires locales-hyphen-sv (mga#9540)

* Sat Jan 12 2013 umeabot <umeabot> 1.00.1-2.mga3
+ Revision: 354011
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 12 2011 ahmad <ahmad> 1.00.1-1.mga1
+ Revision: 70188
- fix permissions
- fix group
- imported package hyphen-sv


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun 15 2010 Caolán McNamara <caolanm@redhat.com> - 1.00.1-5
- Resolves: rhbz#604010 clarify licence

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Caolán McNamara <caolanm@redhat.com> - 1.00.1-3
- tidy spec

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 17 2009 Caolán McNamara <caolanm@redhat.com> - 1.00.1-1
- latest version

* Fri Nov 23 2007 Caolán McNamara <caolanm@redhat.com> - 0.20030814-1
- initial version
